# OnlinePlayerMap

class OnlinePlayerMap<V>
Content copied to clipboard

A map where entries will be removed atomatically when a player leaves the server.

## Constructors

OnlinePlayerMap
Link copied to clipboard
fun OnlinePlayerMap()
Content copied to clipboard

## Functions

get
Link copied to clipboard
operator fun get(player: Player): V?
Content copied to clipboard
minusAssign
Link copied to clipboard
operator fun minusAssign(player: Player)
Content copied to clipboard
set
Link copied to clipboard
operator fun set(player: Player, value: V)
Content copied to clipboard

## Properties

internalMap
Link copied to clipboard
val internalMap: HashMap<UUID, V>
Content copied to clipboard